import { ProjectShape } from '@seleniumhq/side-model';
import { Command } from 'commander';
export declare type JSON = null | string | number | boolean | JSON[] | {
    [key: string]: JSON;
};
export interface Project extends ProjectShape {
    path: string;
}
export declare type ProxyType = 'direct' | 'manual' | 'pac' | 'socks' | 'system';
export interface SideRunnerCLIConfig {
    baseUrl: string;
    capabilities: string;
    configFile: string;
    debug: boolean;
    filter: string;
    force: boolean;
    maxWorkers: number;
    params: string;
    proxyOptions?: string;
    proxyType?: ProxyType;
    server: string;
    timeout?: string | number;
}
export declare type SideRunnerAPI = Command & SideRunnerCLIConfig;
export declare type Configuration = Required<Pick<SideRunnerCLIConfig, 'baseUrl' | 'filter' | 'maxWorkers' | 'server' | 'timeout'>> & Pick<SideRunnerCLIConfig, 'debug' | 'force' | 'proxyType'> & {
    capabilities: Record<string, JSON>;
    params: Record<string, JSON>;
    projects: string[];
    proxyOptions: Record<string, JSON>;
    runId: string;
    path: string;
};
//# sourceMappingURL=types.d.ts.map